### Method

# Adw TabPageset_indicator_icon

#### Declaration [src]

    void
    adw_tab_page_set_indicator_icon (
      AdwTabPage* self,
      GIcon* indicator_icon
    )

#### Description [src]

Sets the indicator icon of `self`.

A common use case is an audio or camera indicator in a web browser.

`AdwTabBar` will show it at the beginning of the tab, alongside icon representing `AdwTabPage:icon` or loading spinner.

If the page is pinned, the indicator will be shown instead of icon or spinner.

`AdwTabOverview` will show it at the at the top part of the thumbnail.

`AdwTabPage:indicator-tooltip` can be used to set the tooltip on the indicator icon.

If `AdwTabPage:indicator-activatable` is set to `TRUE`, the indicator icon can act as a button.

Sets property | `Adw.TabPage:indicator-icon`

#### Parameters

`indicator_icon`

  Type: `GIcon`

  The indicator icon of `self`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.